{% extends 'accueil-prof.html' %}

{% block head_suplementaire %}
  <link rel="stylesheet" href="{{ url_for('static', filename='css/modal.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/gestion-enigmes.css') }}">
{% endblock %}

{% block title %}
  <title>Gestion Énigmes Générales</title>
{% endblock %}

{% block contenu_onglet %}
<div id="loading">
  <div>
    <ion-icon name="refresh"></ion-icon>
  </div>
</div>
  <section>
    <form id="supprimer_enigmes" action="" method="POST"><input type="hidden" name="request" value="delete_all"></form>
    <button onClick="if(confirm('Êtes-vous certain de vouloir supprimer toutes les énigmes ? \nCette opération est irréversible !')){document.getElementById('supprimer_enigmes').submit();};" couleur="supression" {% if not enigmes %} disabled {% endif %}><ion-icon name="trash" size="small"></ion-icon>Supprimer les énigmes</button>
    <button onClick="afficherModal('modal2');" couleur="button"><ion-icon name="settings"></ion-icon>Liste des thèmes</button>
    <button onclick="afficherModal('modal3');" couleur="button"><ion-icon name="settings"></ion-icon>Liste des images</button>
    <h1>Enigmes</h1>
    <form action="{{url_for('export_enigmes')}}" method="POST" >
      <button title="Obtenir le fichier .xls avec toutes les enigmes"><ion-icon name="cloud-download" size="small"></ion-icon>Exporter</button>
  </form>


    <form action="" id="form-fichier" method="POST" enctype="multipart/form-data">
      <div couleur="validation" title="Importer le tableur contenant la liste des énigmes à ajouter" onClick="document.getElementById('fichier').click();">
        <input type="hidden" name="request" value="import-enigmes">
        <input accept=".xls" onchange="importerEnigme();" type="file" id="fichier" name="liste_enigmes"></input>
        <ion-icon name="cloud-upload" size="small"></ion-icon>Importer
      </div>
    </form>
  </section>

  {% if enigmes %}
    <form action="/enigmes/supprimer/" id="supprimer_enigme" method="POST">
      <input type="hidden" name="id" id="id_enigme">
    </form>
    <ul>
      {% for enigme in enigmes %}
        <li>
          <section>
            <h3>{{ enigme.intitule }}</h3>
            <p>Difficulté : {{ enigme.difficulte.nom }}</p>
            <p>Thème : {{ enigme.theme.nom }}</p>
            <p>Points : {{ enigme.nb_points }}</p>
            <button onclick="afficherModal('modal-image1');document.getElementById('enigme').setAttribute('value', '{{enigme.id}}');">
              {% if enigme.image %}
              <img src="{{enigme.image.image}}" alt="" width="75">
              {% else %}
              <ion-icon name="image-outline" size="small"></ion-icon>
              {% endif %}
            </button>
            <div couleur="button" onclick="afficherModal('modal-indice{{enigme.id}}');document.getElementById('enigme').setAttribute('value', '{{enigme.id}}');"><ion-icon name="settings"></ion-icon>Indices</div>
          </section>
          <ion-icon name="trash" size="large" onClick="if(confirm('Êtes-vous certain de vouloir supprimer cet énigme ? \nCette opération est irréversible !')){document.getElementById('id_enigme').value = '{{ enigme.id }}'; document.getElementById('supprimer_enigme').submit();}"></ion-icon>
        </li>
        <div id="modal-indice{{enigme.id}}" class="modal">
          <section>
            <section>
              <button onclick="closeModal();"><ion-icon name="close" size="small"></ion-icon></button>
              <h2>Liste des Indices</h2>
            </section>
            <ul class="images">
              {% for indice in enigme.indices_speciales %}
                  <li>
                    <section>
                      <button onclick="closeModal();afficherModal('modal-image');document.getElementById('indice').setAttribute('value', '{{indice.id}}');">
                        {% if indice.image %}
                        <img src="{{indice.image.image}}" alt="" width="75">
                        {% else %}
                        <ion-icon name="image-outline" size="small"></ion-icon>
                        {% endif %}
                      </button>
                      <p>{{ indice.contenu }}</p>
                    </section>
                  </li>
              {% endfor %}
            </ul>
          </section>
        </div>
      {% endfor %}
    </ul>

  {% else %}
    <p>Aucune énigme n'a encore été importé</p>
  {% endif %}

  <form id="ajout-image-indice" action="{{url_for('gestion_enigme_associer_indice_image')}}" method="POST">
    <input type="hidden" name="indice" id="indice" value="">
    <input type="hidden" name="image-indice" id="image-indice" value="">
  </form>
  <div id="modal-image" class="modal modal-image">
    <section>
      <section>
        <button onclick="closeModal();afficherModal('modal-indice' + document.getElementById('enigme').value);">
          <ion-icon name="arrow-back-outline" size="small"></ion-icon>Retour
        </button>
        <h2>Images disponible</h2>
      </section>
      <ul>
      {% if images %}
        {% for image in images %}
        <li>
          <button onclick="document.getElementById('image-indice').setAttribute('value', '{{image.id}}');document.getElementById('ajout-image-indice').submit();"><img src="{{image.image}}" alt="" width="75"></button>
        </li>
        {% endfor %}
      </ul>
      {% else %}
      <p>Aucune image n'est disponible</p>
      {% endif %}
    </section>
  </div>

  <form id="ajout-image-enigme" action="{{url_for('gestion_enigme_associer_enigme_image')}}" method="POST">
    <input type="hidden" name="enigme" id="enigme" value="">
    <input type="hidden" name="image-enigme" id="image-enigme" value="">
  </form>
  <div id="modal-image1" class="modal modal-image">
    <section>
      <section>
        <button onclick="closeModal();">
          <ion-icon name="close" size="small"></ion-icon>
        </button>
        <h2>Images disponible</h2>
      </section>
      <ul>
      {% if images %}
        {% for image in images %}
        <li>
          <button onclick="document.getElementById('image-enigme').setAttribute('value', '{{image.id}}');document.getElementById('ajout-image-enigme').submit();"><img src="{{image.image}}" alt="" width="75"></button>
        </li>
        {% endfor %}
      </ul>
      {% else %}
      <p>Aucune image n'est disponible</p>
      {% endif %}
    </section>
  </div>

  <!-- Menu ajouter thème -->
  <div id="modal1" class="modal">
    <section>
      <section>
        <button onclick="closeModal();afficherModal('modal2');">
          <ion-icon name="arrow-back-outline" size="small"></ion-icon>Retour
        </button>
        <h2>Ajouter un thème</h2>
        <button couleur='validation' onclick="document.getElementById('ajouter_theme').submit();">
          <ion-icon name="save" size="small"></ion-icon>
          Valider
        </button>
      </section>
      <form action="/theme/nouveau" id="ajouter_theme" method="POST">
        <label for="nom">Titre</label>
        <input name="nom" type="text" placeholder='Mon nouveau thème'/>
      </form>
    </section>
  </div>

  <!-- Menu thèmes -->
  <div id="modal2" class="modal">
    <section>
      <section>
        <button onclick="closeModal();"><ion-icon name="close" size="small"></ion-icon></button>
        <h2>Liste des thèmes</h2>
        <button onClick="closeModal();afficherModal('modal1');" couleur="validation"> <ion-icon name="add-circle-outline" size="small"></ion-icon>Nouveau</button>
      </section>
      <form action="{{ url_for('gestion_enigme_delete_all_images') }}" id="supprimer_images" method="POST"></form>
      <ul>
        {% if themes %}
          {% for theme in themes %}
            <li><p>{{ theme.nom }}</p><ion-icon name="trash" title="Supprimer le thème" onClick="document.location.href='/theme/supprimer/{{ theme.id }}';" size="large"></ion-icon></li>
          {% endfor %}
        {% else %}
          <p>Aucun thème n'est encore ajouté</p>
        {% endif %}
      </ul>
    </section>
  </div>

  <!-- Menu images -->
  <div id="modal3" class="modal modal-image">
      <section>
        <section>
          <button onclick="closeModal();"><ion-icon name="close" size="small"></ion-icon></button>
          <button onClick="if(confirm('Êtes-vous certain de vouloir supprimer toutes les images ? \nCette opération est irréversible !')){document.getElementById('supprimer_images').submit();};" couleur="supression" {% if not images %} disabled {% endif %}>
              <ion-icon name="trash" size="small"></ion-icon>
              Supprimer les images
            </button>
          <h2>Liste des images</h2>
          <form action="" id="form-images" method="POST" enctype="multipart/form-data">
            <div couleur="validation" title="Importer le tableur contenant la liste des énigmes à ajouter" onClick="document.getElementById('images').click();" id="input-images">
              <input type="hidden" name="request" value="import-images">
              <input accept="image/*" onchange="importerImages();" type="file" id="images" name="liste_images" multiple></input>
              <script src="{{url_for('static', filename='js/gestion-enigme.js')}}" type="text/javascript"></script>
              <ion-icon name="cloud-upload" size="small"></ion-icon>Importer images
            </div>
          </form>
        </section>
        <form action="{{url_for('gestion_enigme_delete_image')}}" method="POST" id="delete_image">
          <input type="hidden" name="image-id" id="image-id" value="">
        </form>
        <ul>
          {% if images %}
            {% for image in images %}
            <li>
              <label for="image-speciale">
                <button onclick="if(confirm('Êtes-vous sûr de vouloir supprimer cette image ?')){document.getElementById('image-id').setAttribute('value', '{{image.id}}');document.getElementById('delete_image').submit();};"><img src="{{image.image}}" alt="" width="75" id="image-speciale">
                <ion-icon name="trash-outline"></ion-icon>
                </button>

              </label>
            </li>
            {% endfor %}
          {% else %}
            <p>Aucune image n'est encore ajouté</p>
          {% endif %}
        </ul>
      </section>
    </div>

  <script type="text/javascript" src="{{ url_for('static', filename='js/modal.js') }}"></script>
{% endblock %}
